CVE-2006-2038
CVSS7.5
发布时间 :2006-04-26 14:06:00
修订时间 :2011-03-07 21:34:51
NMCO    

[原文]Multiple SQL injection vulnerabilities in ampleShop 2.1 and earlier allow remote attackers to execute arbitrary SQL commands via the (1) RecordID parameter in (a) Customeraddresses_RecordAction.cfm and (b) youraccount.cfm; (2) solus parameter in (c) detail.cfm; and (3) cat parameter in (d) category.cfm.


[CNNVD]ampleShop 多个SQL注入漏洞(CNNVD-200604-505)

        ampleShop 2.1及早期版本中存在多个SQL注入漏洞。这使得远程攻击者可以借助于(a) Customeraddresses_RecordAction.cfm和(b) youraccount.cfm中的参数(1) RecordID,(c) detail.cfm中的参数(2) solus,以及(d) category.cfm中的参数(3) cat执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2038
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2038
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200604-505
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/1512
(UNKNOWN)  VUPEN  ADV-2006-1512
http://secunia.com/advisories/19806
(VENDOR_ADVISORY)  SECUNIA  19806
http://xforce.iss.net/xforce/xfdb/26064
(UNKNOWN)  XF  ampleshop-multiple-sql-injection(26064)
http://www.osvdb.org/24937
(UNKNOWN)  OSVDB  24937
http://www.osvdb.org/24936
(UNKNOWN)  OSVDB  24936
http://www.osvdb.org/24935
(UNKNOWN)  OSVDB  24935
http://www.osvdb.org/24934
(UNKNOWN)  OSVDB  24934
http://pridels0.blogspot.com/2006/04/ampleshop-ecommerce-software-vuln.html
(UNKNOWN)  MISC  http://pridels0.blogspot.com/2006/04/ampleshop-ecommerce-software-vuln.html

- 漏洞信息

ampleShop 多个SQL注入漏洞
高危 SQL注入
2006-04-26 00:00:00 2006-04-27 00:00:00
远程  
        ampleShop 2.1及早期版本中存在多个SQL注入漏洞。这使得远程攻击者可以借助于(a) Customeraddresses_RecordAction.cfm和(b) youraccount.cfm中的参数(1) RecordID,(c) detail.cfm中的参数(2) solus,以及(d) category.cfm中的参数(3) cat执行任意SQL命令。

- 公告与补丁

        

- 漏洞信息

24934
ampleShop Customeraddresses_RecordAction.cfm RecordID Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity

- 漏洞描述

ampleShop contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the Customeraddresses_RecordAction.cfm script not properly sanitizing user-supplied input to the 'RecordID' variable. This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2006-04-25 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站